Manuel de l'utilisateur de pamcat(1)

NOM

pamcat – Concaténation d’images Netpbm

SYNOPSIS

pamcat

{-leftright | -lr | -topbottom | -tb}

[-white|-black]

[-jtop|-jbottom|-jcenter] [-jleft|-jright|-jcenter]

[fichier_netpbm ... | -listfile={fichier|-}]

Les abréviations minimales uniques sont autorisées. Un double tiret au lieu d’un seul peut être utilisé pour indiquer des options. Une espace peut être utilisée au lieu du signe égale pour séparer un nom d’option de sa valeur.

DESCRIPTION

Ce programme fait partie de Netpbm(1).

pamcat lit une ou plusieurs images Netpbm en entrée, les juxtapose soit de gauche à droite, soit de bas en haut, et produit une seule image Netpbm.

Les options -leftright et -topbottom déterminent la direction de la concaténation.

Les images peuvent ne pas avoir la même forme. Des images de largeurs différentes peuvent être concaténées de haut en bas et celles de hauteurs différentes de gauche à droite. Des images de profondeurs différentes (nombre de plans) peuvent être concaténées. Une image PBM peut être concaténée avec une image PPM, etc.

Le format de l’image produite est celui du plus grand des formats des images d’entrée, selon l’ordre PBM, PGM, PPM, PAM.

Pour la sortie de PAM, si toutes les images d’entrée ont le même type de tuple (y compris les types de tuple implicites des images PNM), c’est le type de tuple de la sortie. Si les entrées différent, mais que ce sont des types de tuple d’image, le type de tuple est le type de la primitive la plus importante qui peut représenter toutes les entrées. Par exemple, si les entrées sont GRAYSCALE et RGB, la sortie est RGB, et si les entrées sont GRAYSCALE_ALPHA et RGB, la sortie est RGB_ALPHA. Si les entrées différent et ne sont pas toutes des images, le tuple de sortie est l’octet NULL.

Quand l’entrée est PAM, sa profondeur est le maximum des profondeurs des entrées (y compris les profondeurs implicites des images PNM), mais au moins suffisamment pour représenter le type de tuple indiqué ci-dessus. Dans le cas de sortie PAM non graphique, les images d’entrée sont complétées jusqu’à cette profondeur de sortie avec des plans de haut numéro composés de zéros.

Quand les images d’entrée sont de largeurs différentes et pour concaténer haut vers bas, pamcat génère une sortie aussi large que la plus large des entrées et complète les moins larges. Les images peuvent être justifiées à gauche, à droite ou centrées dans le champ de remplissage. Utiliser les options -jleft, -jright et -jcenter pour contrôler cela.

De manière similaire, quand les images d’entrée sont de hauteurs différentes et pour concaténer gauche vers droite, pamcat génère une sortie aussi haute que la plus haute des entrées et complète les plus courtes. Les images peuvent être justifiées en haut, en bas ou centrées dans le champ de remplissage. Utiliser les options -jtop, -jbottom et -jcenter pour contrôler cela.

Il est possible de remplir en noir ou en blanc, ou de laisser pamcat déterminer une couleur d’arrière-plan adéquate, avec un remplissage coloré différent pour chaque image d’entrée. Utiliser les options -black et -white pour contrôler cela.

Lorsque l’image de sortie contient une information de transparence (parce qu’au moins une image d’entrée en possède), le remplissage est opaque (cela est cohérent avec le résultat pour une image de sortie sans information de transparence, parce qu’une telle image est définie à opaque).

Les arguments sont des noms de fichier. N’importe lequel, mais pas plus d’un, peut être « - » pour indiquer l’entrée standard. En l’absence d’argument, (et sans indication de l’option -listfile), cela signifie une seule image d’entrée de l’entrée standard (et cela est inutile, la sortie est identique à l’entrée). Les noms de fichier peuvent être fournis à l’aide d’un fichier plutôt que sous forme d’arguments en utilisant l’option -listfile.

Quelle que soit la manière de spécifier les fichiers d’entrée, il n’est pas possible de concaténer plus de fichiers que la limite du système du nombre de fichiers ouverts en même temps pour un même processus. 16 est un nombre typique pour cela.

Pour assembler une grille régulière d’images, pamundice(1) peut être utilisé.

Pour réaliser l’inverse, pamdice(1) peut être utilisé pour diviser une image en images plus petites de taille égale ou pamcut(1) pour découper une partie de l’image ou pour en extraire une partie.

pnmtile(1) concatène une unique image d’entrée avec elle-même de manière répétitive.

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (notablement -quiet, voir
 Options communes index.html#commonoptions ), pamcat reconnait les options de ligne de commande suivantes :

  Direction

-topbottom, -tb
    Combinaison des images verticalement, haut vers bas.

-leftright, -lr
    Combinaison des images horizontalement, gauche vers droite.

    La direction doit être indiquée en spécifiant une des précédentes. Il n’est pas possible de spécifier les deux.

  Justification

-jleft

    Justification à gauche des images dans une concaténation haut-bas.

    Cette option ne peut être spécifiée avec l’option -jright.

    Cette option n’est pas autorisée dans une concaténation gauche-droite.

-jright

    Justification à droite des images dans une concaténation haut-bas.

    Cette option ne peut être spécifiée avec l’option -jleft.

    Cette option n’est pas autorisée dans une concaténation gauche-droite.

-jtop

    Justification en haut des images dans une concaténation gauche-droite.

    Cette option ne peut être spécifiée avec l’option -jbottom.

    Cette option n’est pas autorisée dans une concaténation haut-bas.

-jbottom

    Justification en bas des images dans une concaténation gauche-droite.

    Cette option ne peut être spécifiée avec l’option -jtop.

    Cette option n’est pas autorisée dans une concaténation haut-bas.

-jcenter

    Centrage des images (valable pour les concaténations gauche-droite et
     haut-bas. C’est le comportement par défaut.

Par défaut, pamcat centre les images plus petites. Utiliser les options -jleft et -jbottom pour outrepasser ce comportement. -topbottom -jleft place les images les unes au-dessus des autres, alignées sur le côté gauche. -leftright -jbottom aligne les images gauche vers droite avec leurs bords inférieurs alignés comme s’ils étaient posés sur une table.

  Couleur de remplissage
Ces options définissent quelle couleur est utilisée pour remplir l’espace supplémentaire lors d’une justification. Si aucune n’est indiquée, pamcat choisit la couleur semblant la plus appropriée pour les images, et la couleur peut être différente pour chaque image.

-white
    Tous les remplissages sont de couleur blanche.

    Cette option ne peut être spécifiée avec l’option -black.

-black
    Tous les remplissages sont de couleur noire.

    Cette option ne peut être spécifiée avec l’option -white.

  Divers

-listfile={fichier|-}
    Cette option indique le nom du fichier contenant la liste des fichiers d’entrée. Une valeur d’option - indique que la liste provient de l’entrée standard.

    Le fichier contient un nom de fichier par ligne, cette dernière étant terminée par un caractère de nouvelle ligne, dans n’importe quel code que le service fopen(3) attend. Le caractère de nouvelle ligne peut être omis pour la dernière ligne. Les lignes vides sont ignorées. Il n’existe pas de mécanisme pour inclure des commentaires dans la liste (donc pour avoir une liste avec des commentaires, il faut la prétraiter pour les retirer et la passer à pamcat).

    Il n’est pas possible de spécifier des noms de fichier comme arguments de ligne de commande en plus de l’option -listfile.

    Il n’est pas possible de lister plus de fichiers que la limite du système du nombre de fichiers ouverts en même temps pour un même processus. 16 est un nombre typique pour cela.

    Cette option est apparue dans Netpbm 11.01 (décembre 2022).

VOIR AUSSI
pamundice(1), pamdice(1), pnmtile(1), pamcut(1), pnm(1), pam(1)

HISTORIQUE

pamcat est apparu dans Netpbm 11.00 (septembre 2022) ; dans les premières versions pnmcat(1) remplissait à peu près les mêmes fonctions.

Netpbm/Pbmplus contenait à l’origine deux outils de concaténation : pbmcatlr pour la concaténation gauche-droite et pbmcattb pour la concaténation haut-bas des images PBM. Lors de l’ajout des formats PGM et PPM, ces programmes ont été combinés et étendus pour gérer les trois formats, comme pnmcat(1). Tout cela a été réalisé par l’auteur de Pbmplus, Jef Poskanzer.

Dans Netpbm 10.44 (septembre 2008), Akira F Urushibata a ajouté un traitement rapide spécial pour les images PBM brutes, exploitant les possibilités de traitement de chaines de bits des CPU.

pnmcat était un des programmes les plus essentiels de Netpbm, mais il ne pouvait pas concaténer les images PAM avec transparence. Aussi, dans Netpbm 11.00 (septembre 2022), Bryan Henderson a écrit pamcat pour le remplacer. Il a réutilisé le code rapide pour PBM brut de pnmcat, presque mot pour mot.

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/pamcat.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.